function TGTradeS:Config()
  local tekcheck = LibStub("tekKonfig-Checkbox")
  local GAP = 8

  local frame = CreateFrame("Frame", nil, InterfaceOptionsFramePanelContainer)
  local title, subtitle = LibStub("tekKonfig-Heading").new(frame, "Tour Guide - Trade Skill", "These settings are saved on a per-char basis.")
  frame.name = "Tour Guide - Trade Skill"
  
  local lureAlert = tekcheck.new(frame, nil, "Fishing Lure Expire Alert", "TOPLEFT", subtitle, "BOTTOMLEFT", -2, -GAP)
  lureAlert.tiptext = "Plays bib sound when lure is about to expire"
  local checksound = lureAlert:GetScript("OnClick")
  lureAlert:SetScript("OnClick", function(self) checksound(self); TGTradeS.db.profile.Config.LureAlert = not TGTradeS.db.profile.Config.LureAlert end)
  lureAlert:SetChecked(TGTradeS.db.profile.Config.LureAlert)
  
  local autoBuy = tekcheck.new(frame, nil, "Auto Buy From Merchant", "TOPLEFT", lureAlert, "BOTTOMLEFT", 0, -GAP)
  autoBuy.tiptext = "When objective is set to buy or get something from a merchant you will automatic buy that item when interacting with a merchant and if that merchant have it."
  autoBuy:SetScript("OnClick", function(self) checksound(self); TGTradeS.db.profile.Config.AutoBuy = not TGTradeS.db.profile.Config.AutoBuy end)
  autoBuy:SetChecked(TGTradeS.db.profile.Config.AutoBuy)
  
  local autoTrain = tekcheck.new(frame, nil, "Auto Train Profession From Trainer ", "TOPLEFT", autoBuy, "BOTTOMLEFT", 0, -GAP)
  autoTrain.tiptext = "When objective is set to train an ability from a trainer you will automatic train that ability when interacting with a trainer and if that trainer trains that ability."
  autoTrain:SetScript("OnClick", function(self) checksound(self); TGTradeS.db.profile.Config.AutoTrain = not TGTradeS.db.profile.Config.AutoTrain end)
  autoTrain:SetChecked(TGTradeS.db.profile.Config.AutoTrain)

  local autoLearn = tekcheck.new(frame, nil, "Auto Learn Recipes From Trainer ", "TOPLEFT", autoTrain, "BOTTOMLEFT", 0, -GAP)
  autoLearn.tiptext = "When objective is set to learn a recipe from a trainer you will automatic learn that recipe when interacting with a trainer and if that trainer have that recipe."
  autoLearn:SetScript("OnClick", function(self) checksound(self); TGTradeS.db.profile.Config.AutoLearn = not TGTradeS.db.profile.Config.AutoLearn end)
  autoLearn:SetChecked(TGTradeS.db.profile.Config.AutoLearn)

  InterfaceOptions_AddCategory(frame)
  
  LibStub("tekKonfig-AboutPanel").new("Tour Guide - Trade Skill", "TourGuide-Tradeskill")
  
  LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("TourGuide-Tradeskill", {
		type = "launcher",
		icon = "Interface\\AddOns\\TourGuide-Tradeskill\\Maps\\icon.tga",
		OnClick = function() InterfaceOptionsFrame_OpenToCategory(frame) end,
	})
end